Skip to content
Get started

Get Account Balances

GET/v1/accounts/{account_id}/balances

Fetch account balance information

Path ParametersExpand Collapse
account_id: number
Query ParametersExpand Collapse
top_margin_contributors_limit: optional number

Limit the number of top margin contributors returned by the engine.

formatint32
minimum1
ReturnsExpand Collapse
data: AccountBalances { account_id, buying_power, currency, 16 more }

Represents the balance details for a trading account

account_id: number

The unique identifier for the account

formatint64
buying_power: string

The total buying power available in the account.

currency: string

Currency identifier for all monetary values.

daily_realized_pnl: string

Realized profit or loss since start of day.

daily_total_pnl: string

Total profit or loss since start of day.

daily_unrealized_pnl: string

Total unrealized profit or loss across all positions relative to prior close.

equity: string

The total equity in the account.

long_market_value: string

The total market value of all long positions.

margin_type: MarginType

The applicable margin model for the account

One of the following:
"OTHER"
"NONE"
"PORTFOLIO_MARGIN"
"RISK_BASED_HAIRCUT_BROKER_DEALER"
"REG_T"
"RISK_BASED_HAIRCUT_MARKET_MAKER"
"CIRO"
"FUTURES_NLV"
"FUTURES_TOT_EQ"
open_order_adjustment: string

Signed buying-power correction from open orders.

settled_cash: string

The amount of cash that is settled and available for withdrawal or trading.

sod: AccountBalancesSod { buying_power, equity, long_market_value, 6 more }

Start-of-day snapshot balances.

buying_power: string

Start-of-day buying power.

equity: string

Start-of-day equity.

long_market_value: string

Start-of-day long market value.

short_market_value: string

Start-of-day short market value.

asof: optional string

Timestamp for the start-of-day values.

formatdate
day_trade_buying_power: optional string

Start-of-day day-trade buying power.

maintenance_margin_excess: optional string

Start-of-day maintenance margin excess.

maintenance_margin_requirement: optional string

Start-of-day maintenance margin requirement.

trade_cash: optional string

Start-of-day trade cash.

trade_cash: string

Trade-date effective cash.

unsettled_credits: string

Trade-date unsettled cash credits.

unsettled_debits: string

Trade-date unsettled cash debits.

withdrawable_cash: string

The amount of cash currently available to withdraw.

margin_details: optional MarginDetails { day_trade_count, initial_margin_excess, initial_margin_requirement, 6 more }

Margin-account-only details.

day_trade_count: number

The number of day trades executed over the 5 most recent trading days.

formatint32
minimum0
initial_margin_excess: string

Initial margin excess for trade-date balances.

initial_margin_requirement: string

Initial margin requirement for trade-date balances.

maintenance_margin_excess: string

Maintenance margin excess for trade-date balances.

maintenance_margin_requirement: string

Maintenance margin requirement for trade-date balances.

pattern_day_trader: boolean

true if the account is currently flagged as a PDT, otherwise false.

day_trade_buying_power_usage: optional string

The amount of day-trade buying power used during the current trading day.

top_contributors: optional array of MarginTopContributor { day_trade_buying_power_usage, initial_margin_requirement, maintenance_margin_requirement, 2 more }

Optional top margin contributors, returned only when explicitly requested.

day_trade_buying_power_usage: string

Day-trade buying power consumed by fills against this underlying on the current trade date. Populated only for pattern day trader accounts.

initial_margin_requirement: string

Initial margin requirement attributable to this underlying.

maintenance_margin_requirement: string

Maintenance margin requirement attributable to this underlying.

market_value: string

Net market value attributable to this underlying.

underlying_instrument_id: string

UUID of the underlying security contributing to margin requirement.

formatuuid
usage: optional MarginDetailsUsage { total, used }

Current usage totals.

total: string

The total margin available in the current model.

used: string

The amount of margin that is currently being utilized.

multiplier: optional string

Applied multiplier for margin calculations.

short_market_value: optional string

The total market value of all short positions.

Get Account Balances

curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/balances \
    -H "Authorization: Bearer $API_KEY"
{
  "data": {
    "account_id": 19816,
    "buying_power": "45000.00",
    "currency": "USD",
    "daily_realized_pnl": "700.00",
    "daily_total_pnl": "1250.00",
    "daily_unrealized_pnl": "550.00",
    "equity": "100000.00",
    "long_market_value": "30000.00",
    "margin_type": "NONE",
    "open_order_adjustment": "-5000.00",
    "settled_cash": "60000.00",
    "sod": {
      "asof": "2023-09-27",
      "buying_power": "45000.00",
      "equity": "100000.00",
      "long_market_value": "30000.00"
    },
    "trade_cash": "60000.00",
    "unsettled_credits": "20000.00",
    "unsettled_debits": "10000.00",
    "withdrawable_cash": "55000.00"
  },
  "error": null,
  "metadata": {
    "request_id": "b7e2d3f4-a1b2-4c3d-8e4f-5a6b7c8d9e0f"
  }
}
{
  "data": {
    "account_id": 19816,
    "buying_power": "90000.00",
    "currency": "USD",
    "daily_realized_pnl": "700.00",
    "daily_total_pnl": "1250.00",
    "daily_unrealized_pnl": "550.00",
    "equity": "100000.00",
    "long_market_value": "40000.00",
    "margin_details": {
      "day_trade_buying_power_usage": "0.00",
      "day_trade_count": 2,
      "initial_margin_excess": "50000.00",
      "initial_margin_requirement": "50000.00",
      "maintenance_margin_excess": "75000.00",
      "maintenance_margin_requirement": "25000.00",
      "pattern_day_trader": false,
      "top_contributors": [
        {
          "initial_margin_requirement": "25000.00",
          "maintenance_margin_requirement": "15000.00",
          "market_value": "50000.00",
          "underlying_instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
        }
      ],
      "usage": {
        "total": "100000.00",
        "used": "5000.00"
      }
    },
    "margin_type": "REG_T",
    "multiplier": "2",
    "open_order_adjustment": "-10000.00",
    "settled_cash": "99775.05",
    "short_market_value": "10000.00",
    "sod": {
      "asof": "2023-09-27",
      "buying_power": "90000.00",
      "day_trade_buying_power": "200000.00",
      "equity": "100000.00",
      "long_market_value": "40000.00",
      "maintenance_margin_excess": "50000.00",
      "maintenance_margin_requirement": "50000.00",
      "short_market_value": "10000.00",
      "trade_cash": "70000.00"
    },
    "trade_cash": "70000.00",
    "unsettled_credits": "20000.00",
    "unsettled_debits": "10000.00",
    "withdrawable_cash": "75000.00"
  },
  "error": null,
  "metadata": {
    "request_id": "b7e2d3f4-a1b2-4c3d-8e4f-5a6b7c8d9e0f"
  }
}
{
  "error": {
    "code": 403,
    "message": "The caller does not have permission to execute the specified operation"
  },
  "metadata": {
    "request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "67e95eb4-93b9-4010-8c9b-7ada7c2be93f"
  }
}
Returns Examples
{
  "data": {
    "account_id": 19816,
    "buying_power": "45000.00",
    "currency": "USD",
    "daily_realized_pnl": "700.00",
    "daily_total_pnl": "1250.00",
    "daily_unrealized_pnl": "550.00",
    "equity": "100000.00",
    "long_market_value": "30000.00",
    "margin_type": "NONE",
    "open_order_adjustment": "-5000.00",
    "settled_cash": "60000.00",
    "sod": {
      "asof": "2023-09-27",
      "buying_power": "45000.00",
      "equity": "100000.00",
      "long_market_value": "30000.00"
    },
    "trade_cash": "60000.00",
    "unsettled_credits": "20000.00",
    "unsettled_debits": "10000.00",
    "withdrawable_cash": "55000.00"
  },
  "error": null,
  "metadata": {
    "request_id": "b7e2d3f4-a1b2-4c3d-8e4f-5a6b7c8d9e0f"
  }
}
{
  "data": {
    "account_id": 19816,
    "buying_power": "90000.00",
    "currency": "USD",
    "daily_realized_pnl": "700.00",
    "daily_total_pnl": "1250.00",
    "daily_unrealized_pnl": "550.00",
    "equity": "100000.00",
    "long_market_value": "40000.00",
    "margin_details": {
      "day_trade_buying_power_usage": "0.00",
      "day_trade_count": 2,
      "initial_margin_excess": "50000.00",
      "initial_margin_requirement": "50000.00",
      "maintenance_margin_excess": "75000.00",
      "maintenance_margin_requirement": "25000.00",
      "pattern_day_trader": false,
      "top_contributors": [
        {
          "initial_margin_requirement": "25000.00",
          "maintenance_margin_requirement": "15000.00",
          "market_value": "50000.00",
          "underlying_instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
        }
      ],
      "usage": {
        "total": "100000.00",
        "used": "5000.00"
      }
    },
    "margin_type": "REG_T",
    "multiplier": "2",
    "open_order_adjustment": "-10000.00",
    "settled_cash": "99775.05",
    "short_market_value": "10000.00",
    "sod": {
      "asof": "2023-09-27",
      "buying_power": "90000.00",
      "day_trade_buying_power": "200000.00",
      "equity": "100000.00",
      "long_market_value": "40000.00",
      "maintenance_margin_excess": "50000.00",
      "maintenance_margin_requirement": "50000.00",
      "short_market_value": "10000.00",
      "trade_cash": "70000.00"
    },
    "trade_cash": "70000.00",
    "unsettled_credits": "20000.00",
    "unsettled_debits": "10000.00",
    "withdrawable_cash": "75000.00"
  },
  "error": null,
  "metadata": {
    "request_id": "b7e2d3f4-a1b2-4c3d-8e4f-5a6b7c8d9e0f"
  }
}
{
  "error": {
    "code": 403,
    "message": "The caller does not have permission to execute the specified operation"
  },
  "metadata": {
    "request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "67e95eb4-93b9-4010-8c9b-7ada7c2be93f"
  }
}